FROM python:3.12-bookworm

WORKDIR /tmp

COPY pyproject.toml .

RUN apt-get update && \
    pip install toml-to-requirements && \
    toml-to-req --toml-file pyproject.toml --include-optional && \
    pip install -r requirements.txt && \
    rm requirements.txt pyproject.toml

WORKDIR /home/projection
